# Uses of Interface
org.opensaml.saml.saml2.metadata.AuthnAuthorityDescriptor

Packages that use AuthnAuthorityDescriptor
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AuthnAuthorityDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return AuthnAuthorityDescriptor
Modifier and Type
Method
Description
`AuthnAuthorityDescriptor`
EntityDescriptor.`getAuthnAuthorityDescriptor(String supportedProtocol)`
Gets the first `AuthnAuthorityDescriptor` role descriptor for this entity that supports the given protocol.

## Uses of AuthnAuthorityDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AuthnAuthorityDescriptor
Modifier and Type
Class
Description
`class`
`AuthnAuthorityDescriptorImpl`
Concrete implementation of `AuthnAuthorityDescriptor`.
Methods in org.opensaml.saml.saml2.metadata.impl that return AuthnAuthorityDescriptor
Modifier and Type
Method
Description
`AuthnAuthorityDescriptor`
AuthnAuthorityDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnAuthorityDescriptor`
AuthnAuthorityDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthnAuthorityDescriptor`
EntityDescriptorImpl.`getAuthnAuthorityDescriptor(String supportedProtocol)`
Gets the first `AuthnAuthorityDescriptor` role descriptor for this entity that supports the given protocol.